abasobito

Registered
Jul 15, 2020
1
0
1
iraq
cPanel Access Level
Root Administrator
----------------------------------------------------------------------------------------------------
=> Log opened from cPanel Update (upcp) - Slave (7997) at Wed Jul 15 17:23:40 2020
[2020-07-15 17:23:40 -0400] Detected cron=0 (--force passed on command line)
[2020-07-15 17:23:41 -0400] Running Standardized hooks
[2020-07-15 17:23:41 -0400] mtime on upcp is 1594082096 (Mon Jul 6 20:34:56 2020)
----------------------------------------------------------------------------------------------------
=> Log opened from /usr/local/cpanel/scripts/updatenow (8000) at Wed Jul 15 17:23:42 2020
[2020-07-15 17:23:42 -0400] Running version '11.88.0.12' of updatenow.
[2020-07-15 17:23:49 -0400] Retrieved public key from vendor: cpanel, category: release, url: https://securedownloads.cpanel.net/cPanelPublicKey.asc
[2020-07-15 17:23:53 -0400] Retrieved public key from vendor: cpanel, category: development, url: https://securedownloads.cpanel.net/cPanelDevelopmentKey.asc
[2020-07-15 17:23:53 -0400] Detected version '11.88.0.12' from version file.
[2020-07-15 17:23:53 -0400] --force passed on command line. Upgrade will disregard update config settings.
[2020-07-15 17:23:53 -0400] Target version set to '11.88.0.12'
[2020-07-15 17:23:53 -0400] Checking license
[2020-07-15 17:23:54 -0400] License file check complete
[2020-07-15 17:23:54 -0400] Checking that the RPM DB is OK...
[2020-07-15 17:23:54 -0400] glibc-2.17-307.el7.1.x86_64
[2020-07-15 17:23:54 -0400] OK: RPM DB is responding to queries
[2020-07-15 17:23:54 -0400] Testing if rpm_is_working RPM is installed
[2020-07-15 17:23:54 -0400] package rpm_is_working is not installed
[2020-07-15 17:23:54 -0400] Testing if it's possible to install a simple RPM
[2020-07-15 17:23:54 -0400] Preparing... ########################################
[2020-07-15 17:23:54 -0400] Updating / installing...
[2020-07-15 17:23:54 -0400] rpm_is_working-1.0-0 ########################################
[2020-07-15 17:24:00 -0400] Checking if ESET File Security is installed
[2020-07-15 17:24:00 -0400] package efs is not installed
[2020-07-15 17:24:00 -0400] Ensuring required distro packages are installed.
[2020-07-15 17:24:00 -0400] Staging 11.88.0.12 cpanelsync files prior to updating /usr/local/cpanel
[2020-07-15 17:24:00 -0400] Staging cpanel changes
[2020-07-15 17:24:00 -0400] checkyum version 22.3 (excludes: bind-chroot kernel ruby)
[2020-07-15 17:24:00 -0400] Retrieving and staging /cpanelsync/11.88.0.12/binaries/linux-c7-x86_64/.cpanelsync.bz2
[2020-07-15 17:24:00 -0400] Using mirror '185.53.12.144' for host 'httpupdate.cpanel.net'.
[2020-07-15 17:24:01 -0400] Successfully verified signature for cpanel (key types: release).
[2020-07-15 17:24:01 -0400] Retrieving and staging /cpanelsync/11.88.0.12/cpanel/.cpanelsync.bz2
[2020-07-15 17:24:01 -0400] checkyum version 22.3 (excludes: bind-chroot kernel)
[2020-07-15 17:24:01 -0400] Starting yum execution “--assumeyes --color=never --config /etc/yum.conf install python-devel”.
[2020-07-15 17:24:01 -0400] Loaded plugins: fastestmirror, universal-hooks
[2020-07-15 17:24:01 -0400] Successfully verified signature for cpanel (key types: release).
[2020-07-15 17:24:01 -0400] Loading mirror speeds from cached hostfile
[2020-07-15 17:24:01 -0400] Maximum sync children set to 16 based on 6580M available memory.
[2020-07-15 17:24:01 -0400] Staging files for binaries/linux-c7-x86_64
[2020-07-15 17:24:03 -0400] * EA4: 91.197.228.252
[2020-07-15 17:24:03 -0400] Resolving Dependencies
[2020-07-15 17:24:03 -0400] --> Running transaction check
[2020-07-15 17:24:03 -0400] --> Processing Dependency: python2-rpm-macros > 3-30 for package: python-devel-2.7.5-88.el7.x86_64
[2020-07-15 17:24:05 -0400] --> Processing Dependency: python-rpm-macros > 3-30 for package: python-devel-2.7.5-88.el7.x86_64
[2020-07-15 17:24:05 -0400] --> Running transaction check
[2020-07-15 17:24:05 -0400] --> Processing Conflict: python-devel-2.7.5-88.el7.x86_64 conflicts python < 2.7.5-88.el7
[2020-07-15 17:24:05 -0400] --> Finished Dependency Resolution
[2020-07-15 17:24:05 -0400] W Error: python-devel conflicts with python-2.7.5-68.el7.x86_64
[2020-07-15 17:24:05 -0400] You could try using --skip-broken to work around the problem
[2020-07-15 17:24:07 -0400] ** Found 130 pre-existing rpmdb problem(s), 'yum check' output follows:
[2020-07-15 17:24:07 -0400] bash-4.2.46-34.el7.x86_64 is a duplicate with bash-4.2.46-30.el7.x86_64
[2020-07-15 17:24:07 -0400] expat-2.1.0-11.el7.x86_64 is a duplicate with expat-2.1.0-10.el7_3.x86_64
[2020-07-15 17:24:07 -0400] gettext-0.19.8.1-3.el7.x86_64 is a duplicate with gettext-0.19.8.1-2.el7.x86_64
[2020-07-15 17:24:07 -0400] glib2-2.56.1-5.el7.x86_64 is a duplicate with glib2-2.54.2-2.el7.x86_64
[2020-07-15 17:24:07 -0400] ipset-libs-7.1-1.el7.x86_64 is a duplicate with ipset-libs-6.29-1.el7.x86_64
[2020-07-15 17:24:07 -0400] kbd-1.15.5-15.el7.x86_64 is a duplicate with kbd-1.15.5-13.el7.x86_64
[2020-07-15 17:24:07 -0400] kbd-legacy-1.15.5-15.el7.noarch is a duplicate with kbd-legacy-1.15.5-13.el7.noarch
[2020-07-15 17:24:07 -0400] 1:eek:penssl-1.0.2k-19.el7.x86_64 is a duplicate with 1:eek:penssl-1.0.2k-12.el7.x86_64
[2020-07-15 17:24:07 -0400] plymouth-core-libs-0.8.9-0.33.20140113.el7.centos.x86_64 is a duplicate with plymouth-core-libs-0.8.9-0.31.20140113.el7.centos.x86_64
[2020-07-15 17:24:07 -0400] polkit-0.112-26.el7.x86_64 is a duplicate with polkit-0.112-14.el7.x86_64
[2020-07-15 17:24:07 -0400] procps-ng-3.3.10-27.el7.x86_64 is a duplicate with procps-ng-3.3.10-17.el7_5.2.x86_64
[2020-07-15 17:24:07 -0400] python-2.7.5-88.el7.x86_64 is a duplicate with python-2.7.5-68.el7.x86_64
[2020-07-15 17:24:07 -0400] python-linux-procfs-0.4.11-4.el7.noarch is a duplicate with python-linux-procfs-0.4.9-3.el7.noarch
[2020-07-15 17:24:07 -0400] rpm-4.11.3-43.el7.x86_64 is a duplicate with rpm-4.11.3-32.el7.x86_64
[2020-07-15 17:24:07 -0400] rpm-build-libs-4.11.3-43.el7.x86_64 is a duplicate with rpm-build-libs-4.11.3-32.el7.x86_64
[2020-07-15 17:24:07 -0400] rpm-libs-4.11.3-43.el7.x86_64 is a duplicate with rpm-libs-4.11.3-32.el7.x86_64
[2020-07-15 17:24:07 -0400] rpm-python-4.11.3-43.el7.x86_64 is a duplicate with rpm-python-4.11.3-32.el7.x86_64
[2020-07-15 17:24:07 -0400] sed-4.2.2-6.el7.x86_64 is a duplicate with sed-4.2.2-5.el7.x86_64
[2020-07-15 17:24:07 -0400] Completed yum execution “--assumeyes --color=never --config /etc/yum.conf install python-devel”: in 6.367 second(s).
[2020-07-15 17:24:07 -0400] E (XID wucjbg) “/usr/bin/yum” reported error code “1” when it ended:
[2020-07-15 17:24:07 -0400] checkyum version 22.3 (excludes: bind-chroot ruby)
[2020-07-15 17:24:08 -0400] E Sysup: Needed system RPMs were not installed: python-devel
=> Log closed Wed Jul 15 17:24:08 2020
[2020-07-15 17:24:09 -0400] Staging files for cpanel
=> Log closed Wed Jul 15 17:24:12 2020
[2020-07-15 17:24:19 -0400] Child: 1: Stage File: /var/tmp/8000._USR_LOCAL_CPANEL_SCRIPTS_UPDATENOW__.7993455a.tmp
[2020-07-15 17:24:19 -0400] Child 8083 created to stage files.
[2020-07-15 17:24:19 -0400] Child: 2: Stage File: /var/tmp/8000._USR_LOCAL_CPANEL_SCRIPTS_UPDATENOW__.1c2dbfe7.tmp
[2020-07-15 17:24:19 -0400] Child 8084 created to stage files.
[2020-07-15 17:24:19 -0400] Retrieving and staging /cpanelsync/11.88.0.12/cpanel/whostmgr/docroot/addon_plugins/.gitignore.xz
[2020-07-15 17:24:19 -0400] Using mirror '185.53.12.144' for host 'httpupdate.cpanel.net'.
[2020-07-15 17:24:19 -0400] Retrieving and staging /cpanelsync/11.88.0.12/cpanel/upgrade_in_progress.txt.xz
[2020-07-15 17:24:19 -0400] Using mirror '185.53.12.144' for host 'httpupdate.cpanel.net'.
=> Log closed Wed Jul 15 17:24:19 2020
=> Log closed Wed Jul 15 17:24:19 2020
[2020-07-15 17:24:19 -0400] Sync child 8084 exited cleanly.
[2020-07-15 17:24:19 -0400] Sync child 8083 exited cleanly.
[2020-07-15 17:24:20 -0400] Maximum sync children set to 16 based on 6606M available memory.
[2020-07-15 17:24:21 -0400] Staging new RPMS
[2020-07-15 17:24:22 -0400] No new RPMS needed for install
[2020-07-15 17:24:22 -0400] Staging paper_lantern theme changes
[2020-07-15 17:24:22 -0400] Retrieving and staging /cpanelsync/11.88.0.12/paper_lantern/.cpanelsync.bz2
[2020-07-15 17:24:22 -0400] Successfully verified signature for cpanel (key types: release).
[2020-07-15 17:24:22 -0400] Maximum sync children set to 16 based on 6608M available memory.
[2020-07-15 17:24:22 -0400] Staging files for paper_lantern
[2020-07-15 17:24:22 -0400] Child: 1: Stage File: /var/tmp/8000._USR_LOCAL_CPANEL_SCRIPTS_UPDATENOW__.381ac264.tmp
[2020-07-15 17:24:22 -0400] Child 8090 created to stage files.
[2020-07-15 17:24:22 -0400] Child: 2: Stage File: /var/tmp/8000._USR_LOCAL_CPANEL_SCRIPTS_UPDATENOW__.0e1b6937.tmp
[2020-07-15 17:24:22 -0400] Child 8091 created to stage files.
[2020-07-15 17:24:22 -0400] Retrieving and staging /cpanelsync/11.88.0.12/paper_lantern/styled/basic/sprites/icon_spritemap.css.xz
[2020-07-15 17:24:22 -0400] Retrieving and staging /cpanelsync/11.88.0.12/paper_lantern/styled/retro/sprites/icon_spritemap.css.xz
[2020-07-15 17:24:44 -0400] Using mirror '185.53.12.144' for host 'httpupdate.cpanel.net'.
[2020-07-15 17:24:44 -0400] Using mirror '185.53.12.144' for host 'httpupdate.cpanel.net'.
=> Log closed Wed Jul 15 17:24:44 2020
=> Log closed Wed Jul 15 17:24:44 2020
[2020-07-15 17:24:44 -0400] Sync child 8090 exited cleanly.
[2020-07-15 17:24:44 -0400] Sync child 8091 exited cleanly.
[2020-07-15 17:24:50 -0400] All files Staged
[2020-07-15 17:24:50 -0400] E Blocker found: Cannot upgrade to 11.88.0.12 until needed system RPMs are installed.
[2020-07-15 17:24:50 -0400] Removing staged files and directories for binaries/linux-c7-x86_64, cpanel
[2020-07-15 17:24:50 -0400] Removing staged files and directories for paper_lantern
[2020-07-15 17:24:50 -0400] E The install encountered a fatal error: Cannot upgrade to 11.88.0.12 until needed system RPMs are installed.
=> Log closed Wed Jul 15 17:24:50 2020
[2020-07-15 17:24:50 -0400] E Running `/usr/local/cpanel/scripts/updatenow --upcp --log=/var/cpanel/updatelogs/update.1594848220.log --force` failed, exited with code 18 (signal = 0)
=> Log closed Wed Jul 15 17:24:51 2020
 

cPanelLauren

Product Owner
Staff member
Nov 14, 2017
13,304
1,250
313
Houston
The issue is with the following:
Code:
[2020-07-15 17:24:03 -0400] Resolving Dependencies
[2020-07-15 17:24:03 -0400] --> Running transaction check
[2020-07-15 17:24:03 -0400] --> Processing Dependency: python2-rpm-macros > 3-30 for package: python-devel-2.7.5-88.el7.x86_64
[2020-07-15 17:24:05 -0400] --> Processing Dependency: python-rpm-macros > 3-30 for package: python-devel-2.7.5-88.el7.x86_64
[2020-07-15 17:24:05 -0400] --> Running transaction check
[2020-07-15 17:24:05 -0400] --> Processing Conflict: python-devel-2.7.5-88.el7.x86_64 conflicts python < 2.7.5-88.el7
[2020-07-15 17:24:05 -0400] --> Finished Dependency Resolution
[2020-07-15 17:24:05 -0400] W Error: python-devel conflicts with python-2.7.5-68.el7.x86_64
What is the output of the following:


Code:
yum check-update python
Code:
rpm -qa |grep python